<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Registration</title>
</head>
<body style="background-color:powderblue;">
<form method="post" th:object="${spectator}" action="/savespectator">
    <div class="container" style="text-align:center;">
        <h1>Register</h1>
        <p>Please fill in this form to create an account.</p>
        <hr style="text-align:center;">

        <label for="username"><b>Username</b></label>
        <input type="text" placeholder="Enter Username" name="username" id="username" required th:field="*{username}">
        <br>
        <label for="password"><b>Password</b></label>
        <input type="password" placeholder="Enter Password" name="psw" id="password" required th:field="*{password}">
        <br>
        <label for="name"><b>Name</b></label>
        <input type="name" placeholder="Enter first name" name="name" id="name" required th:field="*{name}">
        <br>
        <label for="surname"><b>Surname</b></label>
        <input type="surname" placeholder="Enter last name" name="name" id="surname" required th:field="*{surname}">
        <br>
        <label for="email"><b>Enter e-mail</b></label>
        <input type="email" placeholder="Enter e-mail" name="email" id="email" required th:field="*{email}">
        <br>
        <label for="phone"><b>Enter phone</b></label>
        <input type="phone" placeholder="Enter phone number" name="phone" id="phone" required th:field="*{phone}">
        <br>
        <label for="dateOB"><b>Enter date of birth</b></label>
        <input type="dateOB" placeholder="Enter date of birth" name="dateOB" id="dateOB" required th:field="*{dateOB}">
        <hr>

        <p>By creating an account you agree to our Terms & Privacy.</p>
        <button type="submit" class="registerbtn">Register</button>
    </div>


</form>

</body>
</html>